xdg-desktop-portal (1.18.4-1ubuntu2.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: Symlink Redirection Attack in g_file_trash
    - debian/patches/CVE-2026-40354-pre1.patch: Add libglnx dependency in
      meson.build and subprojects/libglnx.wrap
    - debian/patches/CVE-2026-40354-pre2.patch: use Call over Requests in
      src/gamemode.c,
      ../memory-monitor.c,
      ../network-monitor.c,
      ../proxy-resolver.c,
      ../realtime.c,
      ../trash.c, and
      ../xdg-desktop-portal.c
    - debian/patches/CVE-2026-40354-1.patch: Use File Descriptors rather than
      g_file_trash to avoid race conditions when trashing file in src/trash.c
    - debian/patches/CVE-2026-40354-2.patch: Fix trashing files on older
      versions of glib in src/trash.c
    - CVE-2026-40354
  * xdg-desktop-portal_1.18.4.orig-libglnx.tar.gz: Add vendored libglnx
    at ccea836b799256420788c463a638ded0636b1632.
  * debian/rules: Add symlink to vendored libglnx in submodules/libglnx
  * debian/clean: Remove vendored libglnx symlink after build

 -- Kyle Kernick <kyle.kernick@canonical.com>  Thu, 23 Apr 2026 15:56:27 -0600

xdg-desktop-portal (1.18.4-1ubuntu2.24.04.1) noble; urgency=medium

  * Refresh webextensions portal patch to latest version proposed
    upstream (LP: #2077587)
    - Backported tree:
      https://github.com/ubuntu/xdg-desktop-portal/tree/nmp-1.18-backport

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 26 Aug 2024 10:56:42 -0400

xdg-desktop-portal (1.18.4-1ubuntu2) noble; urgency=medium

  * Merge with Debian (LP: #2062394). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch to add a portal for managing WebExtensions native messaging
      servers

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 17:00:47 -0400

xdg-desktop-portal (1.18.4-1) unstable; urgency=medium

  * New upstream stable release
    - Don't allow sandboxed apps to specify commands starting with '-'
      when generating .desktop files, mitigating CVE-2024-32462 in Flatpak
    - Do not store device access permission as "denied by user" if there
      was an error
    - Fix a crash when config files don't specify a default backend

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Apr 2024 18:58:16 +0100

xdg-desktop-portal (1.18.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 18:21:31 -0400

xdg-desktop-portal (1.18.3-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 10:53:28 -0400

xdg-desktop-portal (1.18.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:10:20 -0500

xdg-desktop-portal (1.18.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Drop x-d-p-gtk fallback patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:03:50 -0500

xdg-desktop-portal (1.18.1-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/rules: Explicitly enable sandboxed image validation.
    This is the default, but for a security hardening mechanism, explicit
    seems better than implicit.
  * Change packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 19:28:38 +0100

xdg-desktop-portal (1.18.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Dropped change:
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 12:21:53 -0400

xdg-desktop-portal (1.18.0-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 12:01:57 +0100

xdg-desktop-portal (1.17.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS
  * Update webextension portal patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 13:08:18 -0400

xdg-desktop-portal (1.17.2-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Sep 2023 10:27:12 +0100

xdg-desktop-portal (1.17.1-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop all patches, applied in new release
  * d/control, d/x-d-p.manpages: Build and install portals.conf(5)
  * d/NEWS: Add a NEWS file to direct users to portals.conf(5)
  * d/p/debian/portal-impl-Hard-code-x-d-p-gtk-as-a-last-resort-fallback.patch:
    Add patch to fall back to x-d-p-gtk if nothing better can be found.
    This is a temporary measure to give desktop environment maintainers
    a chance to add a portals.conf(5) for their desktop, and should be
    removed later.

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Aug 2023 15:03:12 +0100

xdg-desktop-portal (1.17.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fixes portal delay with x-d-p-gnome 44 and non-GNOME desktops
      (LP: #2013116) (Closes: #1032584)
  * debian/control: Build-Depend on python3-dbusmock & python3-pytest
    for build tests
  * Drop all patches: applied in new release
  * Cherry-pick 3 bug fixes from upstream repo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 16:33:43 -0400

xdg-desktop-portal (1.16.0-3ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 09:07:20 -0400

xdg-desktop-portal (1.16.0-3) unstable; urgency=medium

  * d/patches: Update to upstream 1.16 branch commit 1.16.0-17-g2a219279
    - Deal better with backends that are non-functional in desktop
      environments other than the one they are intended for
    - Improve handling of incorrect method calls from applications
    - Extract app IDs from more systemd scope/slice/service names
    - Update security support status in README
    - Translation updates: be, gl, ka, oc, tr
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since Debian 11
  * d/xdp.lintian-overrides: Silence some false positives (#1031037)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Aug 2023 15:33:04 +0100

xdg-desktop-portal (1.16.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * d/p/webextensions-portal.patch: updated
  * Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
    to Ubuntu 20.04 LTS or 18.04 LTS

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 25 Jan 2023 15:33:03 -0300

xdg-desktop-portal (1.16.0-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes from upstream
    - d/p/file-chooser-Set-writable-flag-correctly.patch:
      Don't allow writing to files if not requested
    - d/p/tests-List-lists-of-sources-one-per-line-in-alphabetical-.patch,
      d/p/tests-Add-missing-dependency-on-permission-store-GDBus-he.patch:
      Fix a race condition that was breaking bullseye-backports builds

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jan 2023 11:31:45 +0000

xdg-desktop-portal (1.16.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Update webextensions-portal.patch with latest proposed version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 10:39:43 -0500

xdg-desktop-portal (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/patches: Drop patches, included in the new release
  * d/upstream/metadata: Add Security-Contact
  * d/not-installed: Skip installation of an unnecessary file

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Dec 2022 22:52:21 +0000

xdg-desktop-portal (1.15.0-3) unstable; urgency=medium

  * d/watch: Adapt to Github web page changes
  * d/control: Canonicalize case of Multi-Arch field
  * d/p/meson-In-installed-tests-invoke-test-portals-once-per-por.patch:
    Update patch to the version that was applied upstream
  * d/p/test-portals-Include-utils-even-if-libportal-is-unavailab.patch,
    d/p/tests-Don-t-apply-Meson-s-strict-TAP-parsing-for-older-GL.patch,
    d/p/tests-Include-src-glib-backports.h-where-needed.patch,
    d/p/glib-backports-Declare-stub-function-as-inline.patch:
    Add patches from upstream needed for the Debian 11 backport
  * d/patches: Add selected bug fixes from upstream git
    - Move xdg-permission-store to the systemd slice appropriate for
      session services used to support applications
    - Improve systemd service management so our services do not linger after
      graphical-session.target has exited
    - Documentation fixes
    - Make o.fd.portal.Screenshot.Version mirror
      o.fd.portal.impl.Screenshot.Version so that clients can discover
      whether the backend implements PickColor()
    - Add a missing Qt type annotation to the Request.Response signal
  * d/patches: Add localization updates from upstream
  * Build-/test-depend on dbus-daemon instead of dbus

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Nov 2022 10:38:32 +0000

xdg-desktop-portal (1.15.0-2) unstable; urgency=medium

  * Release to unstable.
    xdg-desktop-portal-gnome needs features of this version, and a 1.16.0
    stable release is intended to happen before the freeze.
  * d/control: Drop compatibility with old libgdk-pixbuf2.0-dev package.
    libgdk-pixbuf-2.0-dev has been available since bullseye.

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Sep 2022 19:20:27 +0100

xdg-desktop-portal (1.15.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Update webextensions-portal.patch with latest proposed version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 06:59:02 -0400

xdg-desktop-portal (1.15.0-1) experimental; urgency=medium

  * New upstream development release
  * Switch to experimental branch
    - d/watch: Watch for development releases
    - d/gbp.conf, d/control: Use debian/experimental packaging branch
  * d/control, d/rules: Build using Meson
  * Add patch to split up installed-tests coverage for test-portals.
    This will make it easier to distinguish between tests that are stable
    when run as an autopkgtest, and tests that are not.

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Aug 2022 21:08:48 +0100

xdg-desktop-portal (1.14.6-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Aug 2022 09:17:19 +0100

xdg-desktop-portal (1.14.5-1) unstable; urgency=medium

  * New upstream stable release
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Jul 2022 18:58:07 +0100

xdg-desktop-portal (1.14.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 13 Jun 2022 11:21:47 +0200

xdg-desktop-portal (1.14.4-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 05 May 2022 15:14:29 +0100

xdg-desktop-portal (1.14.3-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Apr 2022 16:30:43 +0100

xdg-desktop-portal (1.14.3-0ubuntu3) kinetic; urgency=medium

  * Update the native messaging portal patch to pick up a new commit
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 11 May 2022 11:06:32 +0200

xdg-desktop-portal (1.14.3-0ubuntu2) jammy; urgency=medium

  * New upstream stable release
    - Fixes crash with Teamviewer's experimental Wayland support
      (LP: #1966945)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 15:17:26 -0400

xdg-desktop-portal (1.14.2-1ubuntu2) jammy; urgency=medium

  * Update the native messaging portal patch to pick up new commits
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 11 Apr 2022 18:47:05 +0200

xdg-desktop-portal (1.14.2-1ubuntu1) jammy; urgency=medium

  * Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
    distro-patch (add a portal for managing WebExtensions native messaging
    servers, LP: #1968215)
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Apr 2022 11:16:45 +0200

xdg-desktop-portal (1.14.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Mar 2022 12:11:22 +0100

xdg-desktop-portal (1.14.1-2) unstable; urgency=medium

  * d/x-d-p.postinst: Clean up enabled state of x-d-p.service on upgrades.
    When we upgrade from 1.14.0 to 1.14.1, we want to remove
    /etc/systemd/user/graphical-session-pre.target.wants/xdg-desktop-portal.service
    so that it will not cause a deadlock during GNOME login.
  * d/p/Move-g_string_replace-backport-to-a-separate-translation-.patch,
    d/p/rewrite-launchers-Provide-backported-g_string_replace.patch:
    Add patches to fix compilation with GLib 2.66, to make backports more
    straightforward.

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Mar 2022 13:05:55 +0100

xdg-desktop-portal (1.14.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/Revert-Make-x-d-p-start-on-session-start.patch:
    Drop patch, the problem was fixed differently upstream
  * Package the new xdg-desktop-portal-rewrite-launchers executable

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Mar 2022 14:08:29 +0000

xdg-desktop-portal (1.14.0-2) unstable; urgency=medium

  * d/p/Revert-Make-x-d-p-start-on-session-start.patch:
    Revert starting xdg-desktop-portal during session start.
    This causes a new GNOME login after a reboot to deadlock.

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 11:16:06 +0000

xdg-desktop-portal (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches restoring the icon validator.
    It has been reinstated upstream.
  * Depend and build-depend on FUSE 3
  * d/control, d/rules: Build with libsystemd

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 09:17:39 +0000

xdg-desktop-portal (1.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Mar 2022 23:25:45 +0000

xdg-desktop-portal (1.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 15:46:31 +0000

xdg-desktop-portal (1.10.1-4) unstable; urgency=medium

  * Upload to unstable.
    The libportal-based build-time test coverage passes on all release
    architectures.

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Nov 2021 10:30:39 +0000

xdg-desktop-portal (1.10.1-3) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * d/control, d/rules: Enable libportal now that it is available in testing

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Nov 2021 20:37:48 +0000

xdg-desktop-portal (1.10.1-2) unstable; urgency=medium

  * d/p/open-uri-Avoid-calling-into-o.fd.FileManager1-during-star.patch:
    Add proposed patch to resolve deadlock with some file managers.
    This avoids a long delay during startup of GtkApplication-based
    implementations of the o.fd.FileManager1 interface, such as XFCE's
    Thunar, in a non-GNOME and non-XFCE environment. (Closes: #994865)
  * d/p/build-Fix-cross-compilation-by-adjusting-pkg-config-use.patch:
    Add proposed patch to fix cross-compilation.
    Thanks to Helmut Grohne (Closes: #985411)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Oct 2021 23:29:32 +0100

xdg-desktop-portal (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0 (no changes required)
  * d/rules: Stop working around wrong permissions on test-document-fuse.py.
    This was fixed upstream.
  * Don't let debhelper 13 make installed-tests data executable
  * Use debhelper compat level 13
    - No need to override dh_missing any more

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:21:24 +0100

xdg-desktop-portal (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - Fix a fd leak when opening URIs
    - Fix directory support in filechooser
    - Improve Snap support
    - Fix a crash when setting wallpaper fails
  * Drop fontconfig build-dependency, no longer needed
  * Define _GNU_SOURCE when compiling the icon validator,
    avoiding an implicit declaration of execvpe()
  * Label the icon validator as coming from Flatpak 1.10.1
    (no actual changes, the code is identical to 1.8.1)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Feb 2021 10:21:45 +0000

xdg-desktop-portal (1.8.0-3) unstable; urgency=medium

  * debian/rules: Build with pipewire support in ubuntu as well (LP: #1879580)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Feb 2021 19:08:03 +0100

xdg-desktop-portal (1.8.0-2) unstable; urgency=medium

  * Version the build-dependency on libflatpak-dev.
    This is significant when backporting to buster.
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 12:01:38 +0000

xdg-desktop-portal (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 10:31:24 +0100

xdg-desktop-portal (1.7.2-2) unstable; urgency=medium

  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.
  * Release to unstable as part of the pipewire 0.3 transition

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:32:17 +0100

xdg-desktop-portal (1.7.2-1) experimental; urgency=medium

  * New upstream development release
  * Drop patch skipping FUSE tests if necessary,
    upstream made an equivalent change
  * Update icon validator to the one from Flatpak 1.8.1
  * Build-Depend on libcap2-bin, for capsh, and add it to test dependencies
  * tests: Look for capsh in /sbin
  * Update patches.
    This includes upstream 1.7.2-37-g089e72b plus merge request
    <https://github.com/flatpak/xdg-desktop-portal/pull/521>,
    to make the installed-tests work better.
  * d/tests/gnome-desktop-testing: Set TEST_IN_CI.
    Upstream uses this to extend test timeouts and skip flaky tests.
  * Re-enable pipewire now that 0.3.x is in experimental

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 19:41:23 +0100

xdg-desktop-portal (1.7.1-1) experimental; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Mar 2020 10:19:22 +0100

xdg-desktop-portal (1.7.0-1) experimental; urgency=medium

  * Switch to experimental branch
    - d/watch: Watch for development releases
    - d/gbp.conf, d/control: Use debian/experimental packaging branch
    - d/gbp.conf: Use upstream/latest branch
  * New upstream development release
  * Disable pipewire until 0.3.x is available (#954022)
  * Drop patches that were applied upstream
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Standards-Version: 4.5.0 (no changes required)
  * d/p/tests-Divert-service-stdout-to-stderr.patch: Simplify
  * tests: Depend on procps, for /bin/kill
  * tests: Depend on python3 and python3-gi
  * Add a patch to skip (more) FUSE tests on buildds

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Mar 2020 16:00:52 +0000

xdg-desktop-portal (1.6.0-1) unstable; urgency=medium

  * New upstream stable release
    - d/watch: Only watch for stable releases
    - d/gbp.conf: Use debian/master, upstream/1.6.x branches
  * Mention #946913 in previous changelog entry
  * Add "unsafe" pkg.libportal.enable build option to enable extra tests
    while libportal is not yet API-stable
  * d/p/Fix-the-build-on-old-glib.patch,
    d/p/xml-Avoid-fancy-quotes.patch:
    Add post-release fixes from upstream
  * d/p/open-uri-Fix-criticals-if-no-default-handler-for-desired-.patch,
    d/p/tests-Fix-race-condition-in-various-Lockdown-tests.patch,
    d/p/tests-Skip-Location-tests-if-we-have-no-D-Bus-system-bus.patch,
    d/p/tests-Install-test-backends.patch,
    d/p/tests-When-installed-look-for-executables-in-libexecdir.patch,
    d/p/tests-Install-test.portal-for-installed-tests.patch:
    Fix some test failures when libportal is enabled
  * d/p/tests-Divert-service-stdout-to-stderr.patch,
    d/p/tests-Always-produce-verbose-output-from-subprocesses.patch:
    Improve test diagnostics
  * d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-1.6..patch:
    Relabel the icon validator as coming from Flatpak 1.6.0
    (it's the same as 1.4.2)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Dec 2019 14:15:27 +0000

xdg-desktop-portal (1.5.4-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream development release
    - d/patches: Rebase
    - d/rules: Explicitly disable libportal-based tests (ITP: #946605)
    - Only log one warning if unable to track which apps are "in the
      background, for example x-d-p-gtk in a non-GNOME environment
      (Closes: #946913)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Dec 2019 23:23:14 +0000

xdg-desktop-portal (1.4.2-3) unstable; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * Re-enable pipewire (screen recording) support now that v0.2.7 is
    available

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Nov 2019 10:12:41 +0000

xdg-desktop-portal (1.4.2-2) unstable; urgency=medium

  * Release to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/p/test-doc-portal-Check-for-FUSE-support-more-thoroughly.patch:
    Skip tests when FUSE is non-functional, even if we are root
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Remove redundant --libexecdir=/usr/libexec, which is the default
      at this compat level
  * d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-1.4..patch:
    Update icon validator to the one from Flatpak 1.4.2
  * Mark autopkgtest as flaky due to #931726

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 09:19:47 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xdg-desktop-portal-dev`.
